Skip to main content
PATCH
Update rep

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The rep ID.

Body

application/json
name
string
required
Minimum string length: 1
email
required

An empty string indicates no email.

identifier
string
Minimum string length: 1
notifications
object[]

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required
email
required

An empty string indicates no email.

is_disabled
boolean
required
read-only
has_portal_access
boolean
required
read-only
customer_id
integer | null
required
read-only
permissions
object[] | null
required
read-only
alignments
object[]
required
read-only

The teams the rep belongs to.

has_commission_overrides
boolean
required
read-only
identifier
string
notifications
object[]